#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Copyright (c) 2004 - 2005 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Eric3 Re

This is the main Python script that performs the neccessary initialization
of the PyRegExp wizard module and starts the Qt event loop. This is a standalone 
version of the integrated PyRegExp wizard.
"""

import sys

from Utilities import Startup


def createMainWidget(argv, qtDir):
    """
    Function to create the main widget.
    
    @param argv list of commandline parameters (list of strings)
    @param qtDir directory of the Qt installation (string)
    @return reference to the main widget (QWidget)
    """
    from Wizards.PyRegExpWizard.PyRegExpWizardDialog import PyRegExpWizardDialog
    return PyRegExpWizardDialog(fromEric = 0)

def main():
    """
    Main entry point into the application.
    """
    appinfo = Startup.makeAppInfo(sys.argv,
                                  "Eric3 RE",
                                  "",
                                  "Regexp editor for the Python re module")
    res = Startup.simpleAppStartup(sys.argv,
                                   appinfo,
                                   createMainWidget)
    sys.exit(res)

if __name__ == '__main__':
    main()
